<html lang="en">
<head>
  <title>Gitlab Security Reports Schema Validator</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://cdn.simplecss.org/simple.min.css">
</head>
<body>
  <h1>Gitlab Security Reports Schema Validator</h1>

  <form action="/" method="POST">
    <div>
      <label for="schema_type">Schema Type:</label>
      <select id="schema_type" name="schema_type">
        {{ $currentType := .ValidatorType }}
        {{range $type := .SchemaTypes}}
          {{ if eq $type $currentType }}
          <option selected value="{{$type}}">{{$type}}</option>
          {{ else }}
          <option value="{{$type}}">{{$type}}</option>
          {{end}}
        {{end}}
      </select>
    </div>
    <div>
      <label for="schema_version">Schema Version:</label>
      <select id="schema_version" name="schema_version">
        {{ $currentVersion := .ValidatorVersion }}
        {{range $version := .SchemaVersions}}
          {{ if eq $version $currentVersion }}
          <option selected value="{{$version}}">{{$version}}</option>
          {{ else }}
          <option value="{{$version}}">{{$version}}</option>
          {{end}}
        {{end}}
      </select>
    </div>
    <div>
      <label for="body">Report:</label>
      <textarea id="body" style="font-family: monospace;" name="body" placeholder="{}" rows="20">{{.Body}}</textarea>
    </div>
    <div><input type="submit" value="Validate"></div>
  </form>

  <div id="outcome">
    {{if .Errors}}
      <h4>Document NOT valid!</h4>
    {{ else if .Body }}
      <h4>Document valid. Good job!</h4>
    {{end}}
  </div>

  <div id="errors">
    {{range $err := .Errors}}
      <li>{{$err}}</li>
    {{end}}
  </div>

  <div id="footer">
    <hr />
    <a href="https://gitlab.com/gitlab-org/security-products/secure_schema_validator">Repository</a>
  </div>
</body>
